+ Post New Thread
Page 1 of 602 1 2 3 11 51 101 501 ... LastLast
Threads 1 to 25 of 15035

Forum: AutoLISP, Visual LISP & DCL

Questions from beginner to advanced. Tell us about good sources of free lisp and post your own routines for testing.
Code posting guidelines

  1. FAQ Article Sticky Thread Sticky: Suggested changes to this forum

    The "AutoLISP, VBA, the CUI & Customisation" forum has become a very lively part of the AutoCAD Forums and probably needs a structural review in order to acommodate growth in the future. I'm...

    Started by CADTutor‎, 14th Jun 2010 09:44 am
    8 Pages
    1 2 3 ... 8
    • Replies: 75
    • Views: 56,371
    12th Aug 2010 08:09 am Go to last post
  2. FAQ Article Sticky Thread Sticky: Code posting guidelines

    Code posting guidelines When you are posting AutoLISP or VBA code in these forums, there are some simple guidellines you should observe in order to make life easier for you and for others. ...

    Started by CADTutor‎, 18th Sep 2006 10:46 pm
    • Replies: 0
    • Views: 59,288
    18th Sep 2006 10:46 pm Go to last post
  1. Multiple Default attribute values transfered into 1 target

    Hi Everyone Need help to modify some code or re-write........Struggling I would like to transfer the default attribute value of multiple blocks (say 3 max) into 1 single block by using a window...

    Started by EzyG‎, Yesterday 01:11 pm
    • Replies: 2
    • Views: 88
    Today 02:34 am Go to last post
  2. Area split equal.

    Hello, I need one help to do a LISP that can execute it: get one irregular area, and split it according a specific aredea defined, like, 100 m², and I need to split it in 25 m² (I know that it...

    Started by CafeJr‎, 7th Oct 2013 08:13 pm
    5 Pages
    1 2 3 ... 5
    • Replies: 49
    • Views: 14,351
    18th Feb 2017 11:38 am Go to last post
  3. Erase objects for all layouts in areas

    I would like to a lisp to do routine. From the photo, I want to delete objects in Area A & Area B for other layout in a drawing. I have tens of drawings to do the same thing.

    Started by CloudJack‎, 15th Feb 2017 02:48 am
    • Replies: 6
    • Views: 254
    18th Feb 2017 06:41 am Go to last post
  4. Filtering out objects in ssget

    hey guys! So i'm trying to build a lisp that will prompt the user to select some objects, filter out which ones are polylines and resize the width of the polylines. I am able to get it to...

    Started by jesset‎, 17th Feb 2017 09:14 pm
    • Replies: 4
    • Views: 165
    18th Feb 2017 05:50 am Go to last post
  5. Store multiple groups of objects to paste later in LISP

    Hi again Is it possible to have multiple objects/selection sets stored on the clipboard or elsewhere? I am looking at a routine in which I would like to copy a bunch of objects to the clipboard...

    Started by Esteban_CAD‎, 17th Feb 2017 05:31 pm
    • Replies: 1
    • Views: 145
    17th Feb 2017 07:09 pm Go to last post
  6. Problem with function ACET-.......

    Hello everybody. Can anyone halp me with this code: defun getfencesel (en flt / fe ss) (vl-cmdf "_ZOOM" "_E") (setq ss (ssadd en)) (setq fe (acet-list-remove-adjacent-dups...

    Started by pawcyk‎, 16th Feb 2017 09:13 pm
    • Replies: 5
    • Views: 311
    17th Feb 2017 06:55 pm Go to last post
  7. Copy Tags with field

    Hi everyboady. İ want to copy tags with field. Already i do, but i have a problem :ouch: When i do this, i dont want to use "command" and "regen". Is this possible ? (defun c:axx (/ *error* ss ob...

    Started by Travaci‎, 14th Feb 2017 10:25 pm
    • Replies: 1
    • Views: 175
    17th Feb 2017 06:54 pm Go to last post
  8. Question Confusion with lambda function

    Hi Guys How to Create Line for coordinates from list using lambda function Please need help for solve this (defun c:test(/ lst ) (setq lst '((1515.32 999.613 0.0) (2314.23 1081.97...

    Started by gS7‎, 17th Feb 2017 05:24 pm
    • Replies: 4
    • Views: 170
    17th Feb 2017 06:43 pm Go to last post
  9. Question Get all the objects in the container ?

    I see a function ,But No subfunctions. Hi Guys ,Do you have such a same function?  Can share it? ;;Name - Layer Ltype Dimstyle Style Group Block Mlstyle Ucs View Viewport APPID...

    Started by DuanJinHui‎, 16th Feb 2017 03:51 am
    • Replies: 1
    • Views: 155
    17th Feb 2017 04:53 am Go to last post
  10. Question LISP for inserting multiple blocks

    Hello all, I'm new to using LISP and was wondering if there was a LISP for inserting multiple blocks by name. The company I work for deals with lots of cranes, so we have a large block library....

    Started by smithjarid54‎, 16th Feb 2017 09:33 pm
    • Replies: 4
    • Views: 206
    17th Feb 2017 02:40 am Go to last post
  11. Drawing LISP - Automatic dimensions according to set rules

    Hello everyone, I work with a glazing company and am trying to write an AutoLISP command that will automate a large part of our job by dimensioning glass panels with holes and cutout in the format...

    Started by Kyler‎, 8th Feb 2017 05:53 pm
    • Replies: 4
    • Views: 487
    17th Feb 2017 01:09 am Go to last post
  12. How to make list of point entity

    This is the part of code. I am getting the ; error: bad list of points How we will make list of points pt1 and pt2 to pass in ssget "_F". please help (setq txt (entsel "Select text: ")) ...

    Started by subodh_gis‎, 16th Feb 2017 08:52 am
    autolisp
    • Replies: 7
    • Views: 205
    16th Feb 2017 07:19 pm Go to last post
  13. Batch Find & Replace Text

    Batch Find & Replace Text This program uses ObjectDBX to perform multiple text replacements on the current drawing or a complete directory (and subdirectories) of drawings. The program has the...

    Started by Lee Mac‎, 23rd Mar 2010 11:06 pm
    33 Pages
    1 2 3 ... 33
    • Replies: 329
    • Views: 105,297
    16th Feb 2017 05:48 pm Go to last post
  14. LISP for Center Of Gravity

    Hi i am new into the community and i am trying to find the way. I am actually trying to use some old lisp to generate the center of gravity directly on the selected polylines and point it out with a...

    Started by DPS‎, 16th Feb 2017 10:28 am
    • Replies: 7
    • Views: 184
    16th Feb 2017 02:30 pm Go to last post
  15. Unhappy Lisp erases snap settings- Please help!

    Hi guys, I have a beautifull lisp that I found that creates lines at specific devisions from the user , my snap settings are usually on ( I select all my object snap so I can pick every point as...

    Started by eyal‎, 16th Feb 2017 08:18 am
    • Replies: 6
    • Views: 170
    16th Feb 2017 02:28 pm Go to last post
  16. error: no function definition: nil

    Hello you lovely people. I understand that adding (princ) to the end of my routine should stop autocad trying to run the returned nil as a command however regardless of where I insert (princ) I do...

    Started by Esteban_CAD‎, 10th Feb 2017 06:25 pm
    • Replies: 9
    • Views: 388
    16th Feb 2017 01:36 pm Go to last post
  17. LISP routine for Offset

    Hi, I am new to LISP coding and I have a request that I am hoping someone can help me with as I am stuck! The routine I am looking for is to select all polylines on the 'water old' layer and...

    Started by Maccabee1‎, 15th Feb 2017 12:31 pm
    • Replies: 7
    • Views: 268
    16th Feb 2017 12:43 pm Go to last post
  18. Offset, radius smaller than offset distance

    I have a polyline, which is made of lines and arcs. One or more arc could have radius smaller than offset distance (offset direction to inside of arc). Basically autacad says "Cannot offset that...

    Started by zwonko‎, 13th Feb 2017 09:53 pm
    distance, offset, radius
    • Replies: 3
    • Views: 236
    15th Feb 2017 11:35 pm Go to last post
  19. vplayer freeze by lisp if another layer is frozen

    I have already created a lisp that verify if a layer is frozen. If true, an other layer is frozen too. (if (= (vla-get-Freeze layer1) :vlax-true) (command "VPlayer" "FREEZE" "layer2" "" "")) How...

    Started by pmayer‎, 15th Feb 2017 09:52 pm
    vplayers
    • Replies: 0
    • Views: 116
    15th Feb 2017 09:52 pm Go to last post
  20. Colors in dialog boxes?

    Is it possible to change the color of the background and/or buttons of a dialog box?

    Started by LosGirk‎, 15th Feb 2017 02:04 pm
    • Replies: 2
    • Views: 186
    15th Feb 2017 06:39 pm Go to last post
  21. Lisp to find Center of Gravity

    Is there a lisp to get the Center of Gravity for an area and if it is possible getting the CG for several areas I am thinking that, that lisp draws a point in CG and a leader showing the...

    Started by asos2000‎, 22nd Jun 2008 09:28 am
    3 Pages
    1 2 3
    • Replies: 28
    • Views: 18,425
    15th Feb 2017 03:44 pm Go to last post
  22. Drawing LISP routine to insert a block at co-ords which are dwgname dependant

    Please help! New to writing LISP's, never used cond before. I'm trying to create a LISP which inserts a block whom's insertion point is determined using a cond statement which evaulates the...

    Started by mitre962‎, 15th Feb 2017 10:29 am
    cond, lisp
    • Replies: 2
    • Views: 144
    15th Feb 2017 12:29 pm Go to last post
  23. Export to excel the angle,distance and ID from pivot point to surrounding points

    Good day. Could you please help for a lisp to get from drawing the a)angle b)distance and c)point ID number,of several points(sideshots) from a pivot point(station). The sequence is click first the...

    Started by ctdlc888‎, 15th Feb 2017 06:19 am
    • Replies: 1
    • Views: 148
    15th Feb 2017 08:26 am Go to last post
  24. Question Lisp works on certain computers

    I have a lisp that I am getting my coworkers to use to help make the workflow better. I set it up on the drive under a folder, the trusted location and support file search path is set up to include...

    Started by H_Feather‎, 10th Feb 2017 09:33 pm
    • Replies: 9
    • Views: 408
    15th Feb 2017 02:36 am Go to last post
  25. Lisp routine to find the state of xrefs

    Need a lisp routine to determine which xrefs are on (loaded) and which are off (unloaded) in drawing rather than going to xref manager every time.

    Started by Baber62‎, 14th Feb 2017 10:37 am
    xrefs loaded unloaded
    • Replies: 2
    • Views: 209
    14th Feb 2017 07:47 pm Go to last post

Thread Display Options

Use this control to limit the display of threads to those newer than the specified time frame.

Allows you to choose the data by which the thread list will be sorted.

Order threads in...

Note: when sorting by date, 'descending order' will show the newest results first.

Icon Legend

Contains unread posts
Contains unread posts
Contains no unread posts
Contains no unread posts
More than 15 replies or 250 views
Hot thread with unread posts
More than 15 replies or 250 views
Hot thread with no unread posts
Closed Thread
Thread is closed
Thread Contains a Message Written By You
You have posted in this thread

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts